{
  description = "Doggo flake";

  outputs = { self, nixpkgs }:
    let pkgs = nixpkgs.legacyPackages.x86_64-linux;
    in {
      # packages.x86_64-linux.hello = pkgs.hello;
      # packages.x86_64-linux.hello = nixpkgs.legacyPackages.x86_64-linux.hello;
      # defaultPackage.x86_64-linux = self.packages.x86_64-linux.hello;

      devShell.x86_64-linux = with pkgs;
        mkShell {
          nativeBuildInputs = [
            just
            zig
            zls
          ];
          buildInputs = [
            xorg.libX11
            xorg.libXcursor
            xorg.libXi
            xorg.libXext
            xorg.libXrandr
            xorg.libXinerama
            wayland
            libGL
            libGLU
          ];
        };
  };
}
